Packages
Delete
POST
/
packages
/
delete
Delete
curl --request POST \
--url https://sandbox.syngrafii.com/api/v1/packages/delete \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"packageId": "<string>"
}
'import requests
url = "https://sandbox.syngrafii.com/api/v1/packages/delete"
payload = { "packageId": "<string>" }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageId: '<string>'})
};
fetch('https://sandbox.syngrafii.com/api/v1/packages/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"packageId": "<string>",
"videos": [
{
"meetingVideoId": "<string>",
"meetingVideoSharedId": "<string>",
"meetingId": "<string>",
"meetingSessionId": "<string>",
"externalVideoId": "<string>",
"externalStorageId": "<string>",
"timeCreated": "<string>",
"timeRetention": "<string>",
"timeDeleted": "<string>",
"duration": "<string>",
"size": 123,
"source": "<string>",
"type": "<string>",
"state": "<string>",
"url": "<string>",
"timeUrlExpires": "<string>"
}
]
}The
/packages/delete endpoint allows you to delete an existing package from the iinked Sign platform.
Once a package is deleted, all signers associated with the package will no longer be able to access or sign the documents within that package.
You can alternatively rescind a package using the /packages/rescind endpoint, which notifies all signers that the package has been rescinded but retains the package and its documents in the platform.
Please note that this will mark the package and all of its documents and videos for permanent deletion from the iinked Sign platform and you should only do so if you no longer need the package.
Request
Request
POST /packages/delete
{
"packageId": "cf91071d-966d-41ea-b9bf-aa96a8e56c02",
"notify": true,
"overrideRetention": false
}
Body
string
required
Unique identifier for the package.
boolean
When
true, notifies all signers of the package deletion via email. When false, no notifications are sent.boolean
When
true, overrides any retention policies that would normally prevent the package from being deleted.Use with caution.
Response
string
Unique identifier of the package deleted.
object[]
List of videos that were deleted from the package.
Show properties
Show properties
string
Unique identifier for the video.
string
Shared identifier for the video.
string
Identifier of the meeting the video belongs to.
string
Identifier of the meeting session.
string
External system identifier for the video (if available).
string
External storage identifier for the video (if available).
string
Creation time (ISO 8601 date-time).
string
Retention expiry time (ISO 8601 date-time).
string
Deletion time (ISO 8601 date-time).
string
Video duration (ISO 8601 duration).
number
Size of the video in bytes.
string
Source of the video.
string
Type of video.
Show values
Show values
| Value | Description |
|---|---|
| video | Standard video recording. |
string
Current state of the video.
Show values
Show values
| Value | Description |
|---|---|
| started | Video recording session is currently active. |
| stopped | Video recording session ended successfully. |
| queued | Video recording is waiting to download. |
| failed | Video recording failed to download because of an error. |
| archived | Video recording has been successfully downloaded and is available for playback. |
| deleted | Video recording has been permanently removed. |
string
Temporary URL to download or playback the video.
Expires based on
timeUrlExpires.string
Expiration time for the temporary URL (ISO 8601 date-time).
⌘I
Delete
